Skip to main content
GET
/
admin
/
eas
List Expert Advisors
curl --request GET \
  --url https://api.easierprop.com/admin/eas \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "admin_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "MA Crossover",
      "original_name": "MACross.mq5",
      "status": "ready",
      "input_params": [
        {
          "name": "InpPeriod",
          "type": "int",
          "default": "14"
        }
      ],
      "event_handlers": [
        "OnInit",
        "OnTick",
        "OnDeinit"
      ],
      "error": "",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token obtained from POST /admin/login

Response

200 - application/json

EA list

ok
boolean
Example:

true

data
object[]